ExecutionReason (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.galerts.server.session.ExecutionReason class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.galerts.server.session
Class ExecutionReason

    java.lang.Object
      org.hyperic.hq.galerts.server.session.ExecutionReason

    public class ExecutionReason

extends java.lang.Object

Constructor Summary
`ExecutionReason(java.lang.String shortReason, java.lang.String longReason, java.util.List auxLogs, GalertDefPartition partition)`

Method Summary
`java.util.List` | `getAuxLogs()` Returns a list of `AlertAuxLog`s
`java.lang.String` | `getLongReason()`
`GalertDefPartition` | `getPartition()`
`java.lang.String` | `getShortReason()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExecutionReason

    public ExecutionReason(java.lang.String shortReason,
                           java.lang.String longReason,
                           java.util.List auxLogs,
                           GalertDefPartition partition)

Method Detail

### getShortReason

    public java.lang.String getShortReason()

### getLongReason

    public java.lang.String getLongReason()

### getAuxLogs

    public java.util.List getAuxLogs()

  Returns a list of `AlertAuxLog`s

### getPartition

    public GalertDefPartition getPartition()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.